package com.bcxin.sync.dtos.response;

import cn.hutool.core.date.DateUtil;
import lombok.Data;

import java.util.Date;


@Data
public class ExamDeviceResponse {

    //设备编号
    private String deviceNo;
    //设备名称
    private String deviceName;
    //设备类型，4-代表着华为云台摄像机
    private Integer deviceType;
    //绑定类型，0-驻勤点；1-考场
    private Integer bindType;
    //绑定数据源
    private String bindPlace;
    //考试开始时间
    private Date startTime;
    //考试结束时间
    private Date endTime;

    public Date getStartTime() {
        if (startTime != null) {
            return DateUtil.offsetMinute(startTime,-5);
        }
        return startTime;
    }

    public Date getEndTime() {
        if (endTime != null) {
            return DateUtil.offsetMinute(endTime,5);
        }
        return endTime;
    }
}
